package com.loafle.overflow.central.module.email.service;


import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.model.email.EmailAuth;
import com.loafle.overflow.model.member.Member;
import com.loafle.overflow.service.central.email.EmailAuthService;
import com.loafle.overflow.service.central.member.MemberService;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Calendar;
import java.util.Date;
import java.util.List;

/**
 * Created by geek on 17. 6. 28.
 */

@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class EmailAuthServiceTest {

    @Autowired
    EmailAuthService emailAuthService;

    @Autowired
    MemberService memberService;
    @Test
    @Ignore
    public void TestMailSend() throws Exception {
        Member member = new Member();
        member.setId(Long.valueOf(1));
        member.setEmail("overflow@loafle.com");
        this.emailAuthService.sendEmailByMember(member);
    }

    @Test
    public void TestCompareDate() throws Exception {

        Calendar cal = Calendar.getInstance();
        EmailAuth auth = emailAuthService.read(Long.valueOf(1));

        cal.setTime(auth.getCreateDate());
        cal.add(Calendar.HOUR, 12);
        Date futureDate = cal.getTime();

        Date nowDate = new Date();

        if (nowDate.before(futureDate)) {
            System.out.println("futureDate = " + futureDate);
        }else{
            System.out.println("nowDate = " + nowDate);
        }
//        int dd = nowDate.compareTo(auth.getCreateDate());
//        System.out.println("dd = " + dd);
    }

    @Test
    public void TestMemberIdOrderByDesc() throws Exception {

      Member member = this.memberService.read((long)2);

      for (int i = 0; i < 5; i++) {
        this.emailAuthService.sendEmailByMember(member);
      }

      List<EmailAuth> auths = this.emailAuthService.readByMember((long)2);

//      Assert.assertArrayEquals(auths, (short)5);
      System.out.println(auths.size());
    }
}
