package com.loafle.overflow.central.module.meta.dao;

import static org.junit.Assert.assertNotNull;

import java.util.List;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.model.meta.MetaSensorItemKey;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 9. 14.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class MetaSensorDisplayMappingDAOTest {

    @Autowired
    private MetaSensorDisplayMappingDAO metaSensorDisplayMappingDAO;

    @Test
    public void findAllMetaSensorItemKeyByMetaSensorDisplayItemId() throws Exception {

        List<MetaSensorItemKey> metaSensorItemKeys = this.metaSensorDisplayMappingDAO.findAllMetaSensorItemKeyByMetaSensorDisplayItemId(Long.valueOf(1));

        assertNotNull(metaSensorItemKeys);
    }

}
