package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraHostOSDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraHostOS;
import com.loafle.overflow.service.central.infra.InfraHostOSService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraHostOSService")
public class CentralInfraHostOSService implements InfraHostOSService {
  @Autowired
  InfraHostOSDAO infraHostOSDAO;

  public InfraHostOS regist(InfraHostOS infraHostOS) throws OverflowException {
    return this.infraHostOSDAO.save(infraHostOS);
  }

  public InfraHostOS read(Long id) throws OverflowException {
    return this.infraHostOSDAO.findById(id).get();
  }
}
