package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaSensorItemTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaSensorItemType;
import com.loafle.overflow.service.central.meta.MetaSensorItemTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaSensorItemTypeService")
public class CentralMetaSensorItemTypeService implements MetaSensorItemTypeService {

  @Autowired
  private MetaSensorItemTypeDAO sensorItemTypeDAO;

  public List<MetaSensorItemType> readAll() throws OverflowException {
    return this.sensorItemTypeDAO.findAll();
  }

  public MetaSensorItemType regist(MetaSensorItemType type) throws OverflowException {
    return this.sensorItemTypeDAO.save(type);
  }

  public List<MetaSensorItemType> registAll(List<MetaSensorItemType> list) throws OverflowException {
    return (List<MetaSensorItemType>) this.sensorItemTypeDAO.saveAll(list);
  }
}
